﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;

namespace CustomAggregateFunction
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			RadGridView1.ItemsSource = new Message[] { 
				new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100, Seconds = 1000 },
				new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 200, Seconds = 2000 },
				new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100, Seconds = 3000 },
				new Message { Sender = "null@hanna-barbera.com", Subject = "Dogs are cool", Size = 200, Seconds = 4000 }
			};

			var subjectGroup = new RadGroupDescription("Subject");
			var sumTimeFunction = new SumFunction("Seconds", "Seconds", "Total seconds");
			subjectGroup.AggregateFunctions.Add(sumTimeFunction);
			RadGridView1.GroupDescriptions.Add(subjectGroup);

			var sizeGroup = new RadGroupDescription("Size");
			//var sumTimeFunction = new mF("Seconds", "Seconds", "Total seconds");
			sizeGroup.AggregateFunctions.Add(sumTimeFunction);
			RadGridView1.GroupDescriptions.Add(sizeGroup);
		}
	}
}
