﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CustomAggregateFunction
{
	public class mF : Telerik.Windows.Data.SumFunction
	{
		public mF()
		{
		}

		public mF(string propertyName, string calculationField, string caption)
		{
			base.Name = propertyName;
			base.SourceField = calculationField;
			base.Caption = caption;
		}

		private String GetTime(Decimal totalSeconds)
		{
			Int32 hours = (Int32) Math.Floor((double) totalSeconds / (double) 3600);
			Int32 minutes = (Int32) Math.Floor((double) (totalSeconds - (hours * 3600)) / (double) 60);
			Int32 seconds = (Int32) totalSeconds - (hours * 3600) - (minutes * 60);

			return hours.ToString() + ":" + minutes.ToString() + ":" + seconds.ToString();
		}

		public override Telerik.Windows.Data.AggregateResult Calculate(Telerik.Windows.Data.GroupRecord targetGroup)
		{
			Telerik.Windows.Data.AggregateResult result = base.Calculate(targetGroup);
			result.Value = GetTime(Convert.ToDecimal(result.Value, System.Globalization.CultureInfo.CurrentCulture));
			return result;
		}
	} 
}
